Subject: Re: Source tree 2.1.126.. Progress, but HELP

From: John Ballance <[email-masked]>
Date: Mon, 02 Nov 1998 13:47:28

Thanks Russell

I did get the patch-2.1.126 and attempted to apply it.. It was very busy
claiming that
the patches were already applied. It does seem that 2.1.126 has *almost* all
the patches 
needed, certainly many more than expected

could you do a diff between the arm version 2.1.126 and the linux-2.1.126
source tree 
on the arm kernel page of armlinux ftp site?

Indeed I do understand thet there's LOTS of platforms covered there...

many thanks in advance...

John

On Mon, 02 Nov, Russell King - ARM Linux Admin  wrote:
> John Ballance writes:
> >  Here's what I've done:
> > 1. pulled the full 2.1.126 source tree from the armlinux ftp site
> 
> Beware - the armlinux ftp site is a shared server (it's also
> ftp.linux.org.uk
as well), and therefore contains other non-ARM works.
> 
> > 2. put it in /usr/src and did tar -xzf to it
> > 
> > 3. HOORAY.. found it is (in theory) already patched for arm.. i.e. its no
> > use to run the patches on it
> 
> Not quite.  Linus' tree does have some of the ARM stuff in, however it is
> not
complete.  I would suggest getting a copy of the latest patch as well.
> 
> >   echo > /usr/src/linux/include/linux/autoconf.h 
> 
> This is actually the interesting part.  I've noticed that you /need/ to
have
> autoconf.h present in order to make config (which is silly).  I'm looking
> into
this now.
> 
> >     init/main.c:399 section attributes not supported for this target
> >  (repeated for lines 538 and 846)
> >   this seems to be where it is trying to __initdata { an array
> > 
> > whats amiss?  do I need a later gcc, if so, which version, and from where
> 
> You do indeed require a later version of both gcc and binutils.  I'm sure
> that Phil B. will post a followup message explaining this side of things.
>    _____
>   |_____| ------------------------------------------------- --- --- -
>   |   |        Russell King       [email-masked]      --- ---
>   | | | |  http://www.arm.linux.org.uk/~rmk/armlinux.html    /  /  |
>   |  - -                                                      --- - -
>   /   |               THE developer of ARM Linux              | | /|\
>  /  | | |                                                     ---  |
>      - -  -------------------------------------------------  /\\\  |
> unsubscribe: body of `unsubscribe linux-arm' to [email-masked]

-- 
                      John Ballance
 Castle Technology, Ore Trading Estate, Woodbridge Road, Framlingham,
Suffolk UK IP13 9LL  Tel  44 (0) 1728 621 631, Fax  44 (0) 1728 621 179
web: http://www.castle-technology.co.uk or http://www.castlet.demon.co.uk

unsubscribe: body of `unsubscribe linux-arm' to [email-masked]